## LassoSaml2BaseIDAbstract

LassoSaml2BaseIDAbstract — <saml2:BaseIDAbstract>

## Functions

LassoNode * | lasso_saml2_base_idabstract_new ()

## Types and Values

struct | LassoSaml2BaseIDAbstract

## Description

Figure 54. Schema fragment for saml2:BaseIDAbstract

    <complexType name="BaseIDAbstractType" abstract="true">
      <attributeGroup ref="saml:IDNameQualifiers"/>
    </complexType>

## Functions

### lasso_saml2_base_idabstract_new ()

    LassoNode *
    lasso_saml2_base_idabstract_new (void);

Creates a new LassoSaml2BaseIDAbstract object.

#### Returns

a newly created LassoSaml2BaseIDAbstract object

## Types and Values

### struct LassoSaml2BaseIDAbstract

    struct LassoSaml2BaseIDAbstract {
    	LassoNode parent;

    	/* attributes */
    	char *NameQualifier;
    	char *SPNameQualifier;
    };